View a markdown version of this page

BatchDescribeUserLimits - Amazon Quick

BatchDescribeUserLimits

Describes the effective resource limits for one or more Amazon Quick Sight users, including the limits that apply to each user based on their profile assignments.

Request Syntax

POST /governance/limits/accounts/accountId/user-limits HTTP/1.1 Content-type: application/json { "resourceTypes": [ "string" ], "users": [ { "namespace": "string", "userName": "string" } ] }

URI Request Parameters

The request uses the following URI parameters.

accountId

The ID of the AWS account that contains the users.

Length Constraints: Fixed length of 12.

Pattern: ^[0-9]{12}$

Required: Yes

Request Body

The request accepts the following data in JSON format.

resourceTypes

An optional filter that limits the results to specific resource types. If you don't specify a value, the operation returns limits for all resource types.

Type: Array of strings

Valid Values: INDEX_STORAGE | AGENT_HOURS

Required: No

users

A list of users to describe limits for. Each entry contains a user name and namespace.

Type: Array of UserLimitsEntry objects

Array Members: Minimum number of 1 item. Maximum number of 100 items.

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "errors": [ { "errorCode": "string", "message": "string", "namespace": "string", "userArn": "string", "userName": "string" } ], "userLimits": [ { "effectiveLimits": [ { "limitUnit": "string", "limitValue": number, "profileId": "string", "resourceType": "string", "source": "string" } ], "namespace": "string", "userName": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

errors

A list of errors for users whose limits could not be described.

Type: Array of BatchDescribeUserLimitsError objects

userLimits

A list of user limits results. Each entry contains the effective limits for a user.

Type: Array of UserLimits objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You don't have access to this item. The provided credentials couldn't be validated. You might not be authorized to carry out the request. Make sure that your account is authorized to use the Amazon Quick Sight service, that your policies have the correct permissions, and that you are using the correct credentials.

RequestId

The AWS request ID for this request.

HTTP Status Code: 401

InternalFailureException

An internal failure occurred.

RequestId

The AWS request ID for this request.

HTTP Status Code: 500

InvalidParameterValueException

One or more parameters has a value that isn't valid.

RequestId

The AWS request ID for this request.

HTTP Status Code: 400

ThrottlingException

Access is throttled.

RequestId

The AWS request ID for this request.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: